Contents | Package | Class | Tree | Deprecated | Index | Help | XML for Java
PREV | NEXT | SHOW LISTS | HIDE LISTS |

# Class com.ibm.xml.parser.TXCDATASection

    java.lang.Object
        |
        +----com.ibm.xml.parser.Child
                |
                +----com.ibm.xml.parser.TXText
                        |
                        +----com.ibm.xml.parser.TXCDATASection

Subclasses:
  TreeFactory.TreeCDATASection

public class TXCDATASection
extends TXText
implements CDATASection

The TXCDATASection class implements the CDATASection interface as defined by the Document Object Model (DOM).

CDATA sections are Text Node extensions that are used to provide a region in which most of the XML delimiter recognition does not take place. The primary purpose is for including material such as XML fragments, without needing to escape all the delimiters.

An example of a CDATA section in which `<greeting>` and `</greeting>` are recognized as character data and not markup is:

`<![CDATA[<greeting>Hello, world!</greeting>]]>`

Version:
  1.1
See Also:
  TXText, CDATASection

Fields inherited from class com.ibm.xml.parser.Child
ATTDEF, ATTLIST, DOCUMENTTYPE, ELEMENTDEFINITION, ENTITY, GENERALREFERENCE, NOTATION, PSEUDONODE

Constructor Summary
TXCDATASection(java.lang.String data) Constructor.

Method Summary
java.lang.Object | clone() Clone this CDATASection using the appropriate factory.

Methods inherited from class com.ibm.xml.parser.TXText
append, clone, delete, getData, getIsIgnorableWhitespace, getLanguage, getNodeType, getText, insert, makePrintable, replace, setData, setIsIgnorableWhitespace, splice, trim, trim

Methods inherited from class com.ibm.xml.parser.Child
clearDigest, clone, getChildNodes, getDigest, getFactory, getFirstChild, getNextSibling, getParentNode, getPreviousSibling, getText, hasChildNodes, insertBefore, makeXPointer, print, print, removeChild, replaceChild, searchAncestors, searchAncestors, setFactory, toString, toString

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

Constructor Detail

### TXCDATASection

    public TXCDATASection(java.lang.String data)

  Constructor.
  Parameters:
    `data` - The actual content of the CDATASection Node.

Method Detail

### clone

    public java.lang.Object clone()

  Clone this CDATASection using the appropriate factory.

  This method is defined by Child.

  Returns:
    Cloned CDATASection.
  Overrides:
    clone in class TXText
  See Also:
    clone

Contents | Package | Class | Tree | Deprecated | Index | Help |
PREV | NEXT | SHOW LISTS | HIDE LISTS |